hdf_obj_child(3)

NAME
hdf_obj_child - Return the first child of a dataset node

SYNOPSIS
#include <util/neo_hdf.h> HDF* hdf_obj_child (HDF *hdf);

ARGUMENTS
hdf -> the hdf dataset node

DESCRIPTION
hdf_obj_child and the other hdf_obj_ functions are accessors to the HDF dataset. Although we do not currently "hide" the HDF struct implementation, we recommend you use the accessor functions instead of accessing the values directly.

RETURN VALUE
None

SEE ALSO
hdf_set_symlink(3), hdf_get_valuef(3), compareFunc)(3), hdf_dump_str(3), hdf_get_int_value(3), hdf_read_string_ignore(3), hdf_copy(3), hdf_get_node(3), hdf_set_value(3), hdf_obj_child(3), hdf_read_string(3), hdf_set_buf(3), hdf_register_fileload(3), hdf_get_obj(3), hdf_get_attr(3), hdf_obj_top(3), hdf_dump_format(3), hdf_destroy(3), hdf_init(3), hdf_obj_value(3), hdf_write_string(3), hdf_set_valuevf(3), hdf_sort_obj(3), hdf_write_file_atomic(3), hdf_obj_attr(3), hdf_set_valuef(3), hdf_get_copy(3), hdf_write_file(3), hdf_get_valuevf(3), hdf_set_int_value(3), hdf_dump(3), hdf_get_value(3), hdf_set_copy(3), hdf_obj_next(3), hdf_search_path(3), hdf_obj_name(3), hdf_set_attr(3), hdf_get_child(3), hdf_remove_tree